Subject: [Tsvwg] stream switching

From: [email-masked]
Date: Wed, 18 Jun 2003 15:39:18 +0200

Hello TSV,

I am trying to get feedback about:

http://www.ietf.org/internet-drafts/draft-gentric-mmusic-stream-switching-req-00.txt
and
http://www.ietf.org/internet-drafts/draft-gentric-mmusic-stream-switching-00.txt

specifically I would like to validate the idea that stream switching "is a good idea"
with respect to the idea that it can be used to "extend" RFC3448
to *any type* of streaming media for rate/congestion control.

(quote from RFC3448:
"TFRC is designed for applications that use a fixed packet size, and
   vary their sending rate in packets per second in response to
   congestion.")

(Note that stream switching is used today by the 3GPP PSS spec but
so far is restricted to server-side rate changes without changing the
codec configuration.)

In draft-gentric-mmusic-stream-switching-req-00.txt
I am trying to extend stream switching to the general case i.e.
being able to switch streams that have different encodings.
The document explains why there is a need for
"additional control" in order to do that.

[... and draft-gentric-mmusic-stream-switching-00.txt
is an example of how to bring such control capabilities
by extending RTSP]

regards,

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.platform4.philips.com

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg